VCS: https://gitlab.cern.ch/linuxsupport/rpms/releases/openafs-release/-/tree/43b5180733b668f11f16f981e80493876499083a
%define product openafs
%define debug_package %{nil}
%define distOS 8s

Name:		%{product}-release
Version:	1.3
Release:	1%{?dist}
Summary:	CERN %{product} repository release file
Group:		System Environment/Base
License:	GPLv2
URL:		http://linux.cern.ch/
BuildArch:  noarch
Source0:	%{product}.repo
Source1:	%{product}-rhel9.repo

%description
The package contains yum configuration for the CERN %{product} repository

%prep
%setup -q  -c -T
install -pm 0644 %{SOURCE0} %{SOURCE1} .
# Why no elif, you ask? Because fuck you, rpm. (rpm on C8 apparently doesn't support it)
%if "%{distOS}" == "8"
    %define DNFVARIABLE cernbase
    %define DNFTESTING 8
%endif
%if "%{distOS}" == "8s"
    %define DNFVARIABLE cernstream8
    %define DNFTESTING s8
%endif
%if "%{distOS}" == "9"
    %define DNFVARIABLE cernstream9
    %define DNFTESTING s9
%endif
sed -i 's/DNFVARIABLE/%{DNFVARIABLE}/g' %{product}.repo
sed -i 's/DNFTESTING/%{DNFTESTING}/g' %{product}.repo

%build

%install
rm -rf $RPM_BUILD_ROOT
install -dm 0755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
%if "%{distOS}" == "9el"
    install -pm 0644 %{product}-rhel9.repo $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/%{product}.repo
%else
    install -pm 0644 %{product}.repo $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/%{product}.repo
%endif

%files
%defattr(-,root,root,-)
%doc
%config(noreplace) /etc/yum.repos.d/*

%changelog
* Tue Sep 06 2022 Alex Iribarren <Alex.Iribarren@cern.ch> 1.3-1
- added support for RHEL9

* Wed Nov 03 2021 Alex Iribarren <Alex.Iribarren@cern.ch> 1.2-1
- added support for CS9
- fixed testing repo on CS8

* Tue Feb 18 2020 Ben Morrice <ben.morrice@cern.ch> 1.1-1
- move repo to use $cernbase variable

* Fri Nov 22 2019 Ben Morrice <ben.morrice@cern.ch> 1.0-1
- Initial release
